array_replace
array_search
Array Functions
PHP Manual

# array_reverse

(PHP 4, PHP 5)

array_reverse — Return an array with elements in reverse order

### Description

array array_reverse ( array `$array` [, bool `$preserve_keys` = false ] )

Takes an input `array` and returns a new array with the order of the elements reversed.

### Parameters

`array`

  The input array.

`preserve_keys`

  If set to `TRUE` numeric keys are preserved. Non-numeric keys are not affected by this setting and will always be preserved.

### Return Values

Returns the reversed array.

### Changelog

Version | Description
--- | ---
4.0.3 | The `preserve_keys` parameter was added.

### Examples

Example #1 array_reverse() example

`<?php
$input = array("php", 4.0, array("green", "red"));
$reversed = array_reverse($input);
$preserved = array_reverse($input, true);
print_r($input);
print_r($reversed);
print_r($preserved);
?>`

The above example will output:

    Array
    (
        [0] => php
        [1] => 4
        [2] => Array
            (
                [0] => green
                [1] => red
            )

    )
    Array
    (
        [0] => Array
            (
                [0] => green
                [1] => red
            )

        [1] => 4
        [2] => php
    )
    Array
    (
        [2] => Array
            (
                [0] => green
                [1] => red
            )

        [1] => 4
        [0] => php
    )

### See Also

- array_flip() - Exchanges all keys with their associated values in an array

array_replace
array_search
Array Functions
PHP Manual